player = {
		x = 0,
		y = 0,
		direction = 0,
		speed = 1000,
		speed_multiplier = 15,
		radius = screen.width / 36,
		nradius = screen.width / 36,
		min_radius = 8,
		scale_speed = 50,
		color = {0, 126, 255, 150}
	}
	
function player:initialize()
	self.x = screen.width / 2
	self.y = screen.height / 2
end

function player:update(dt)
	local mx, my = love.mouse.getPosition()
	
	--SPEED UPDATE
	self.speed = getDistance(self.x, self.y, mx, my) * self.speed_multiplier
	self.direction = getAngle(self.x, self.y, mx, my)
	
	--radius
	if self.nradius < self.min_radius then self.nradius = min_radius end
	
	if self.radius < self.nradius then
		self.radius = self.radius + self.scale_speed * dt
		if self.radius > self.nradius then
			self.radius = self.nradius
		end
	elseif self.radius > self.nradius then
		self.radius = self.radius - self.scale_speed * dt
		if self.radius < self.nradius then
			self.radius = self.nradius
		end
	end
	
	self.x = self.x + math.sin(self.direction) * self.speed * dt
	self.y = self.y + math.cos(self.direction) * self.speed * dt
	
	--WALL COLLISION
	if self.x < self.radius then
		self.x = self.radius
	elseif self.x > (screen.width - self.radius) then
		self.x = screen.width - self.radius
	end
	
	if self.y < self.radius then
		self.y = self.radius
	elseif self.y > (screen.height - self.radius) then
		self.y = screen.height - self.radius
	end
	
end

function player:draw()
	love.graphics.setColor(hsl(self.color))
	love.graphics.setBlendMode("additive")
	love.graphics.circle("fill", self.x, self.y, self.radius)
	love.graphics.setBlendMode("alpha")
end